## pup 1.1

=== Makefile ===
# Makefile for pup -- Printer Utility Program
# Author:             Matt Simpson
#                     Arlington, TX
#                     matthewsimpson@home.com
#
# ***************************************************************************
#                 COPYRIGHT (C) 1999, 2000 Matt Simpson
#                 GNU General Public License
#                 See lexgui.c for full notice.
# *************************************************************************** 
#

#CC = gcc -g -Wall -O2 # -g to compile in debugging info 
CC = gcc -Wall -O2

DESTDIR=
BINDIR= $(DESTDIR)/usr/bin

SRCS= lexgui.c \
	build_choices.c \
	errors.c \
	attributes.c \
	lexwidgets.c \
	nbpages.c \
	fixed.c \
	settings.c \
	ptp.c \
	pcommands.c \
	proutines.c \
	lexroutines.c \
	lexcalls.c \
	lexincar.c \
	lexalignpop.c \
	lexgaugepop.c \
	lexhand.c

all: pup 
	@echo Done.

pup: $(SRCS)
	$(CC) $(SRCS) `gtk-config --cflags` `gtk-config --libs` -lz -o $@

install: pup
	install -d $(BINDIR)
	install ./pup $(BINDIR)

clean:
	rm -f *.o *~ *.bak pup

## pup 0.4.0+git20190919.681d7bb

=== debian/changelog ===
pup (0.4.0+git20190919.681d7bb-2) unstable; urgency=medium

  * d/control: Fix build-dep golang-x-text-dev

 -- Arnaud Rebillout <elboulangero@gmail.com>  Thu, 05 Nov 2020 10:17:46 +0700

pup (0.4.0+git20190919.681d7bb-1) experimental; urgency=medium

  * Initial release (Closes: #965102)

 -- Arnaud Rebillout <elboulangero@gmail.com>  Wed, 15 Jul 2020 14:28:16 +0700

=== debian/control ===
Source: pup
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Arnaud Rebillout <elboulangero@gmail.com>,
Section: utils
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-fatih-color-dev,
 golang-github-mattn-go-colorable-dev,
 golang-golang-x-net-dev,
 golang-golang-x-text-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/pup
Vcs-Git: https://salsa.debian.org/go-team/packages/pup.git
Homepage: https://github.com/ericchiang/pup
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/ericchiang/pup

Package: pup
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: command-line HTML processor
 Pup is a command-line tool for processing HTML. It
 reads from stdin, prints to stdout, and allows the
 user to filter parts of the page using CSS selectors.
 .
 Inspired by jq (http://stedolan.github.io/jq/), pup aims to be
 a fast and flexible way of exploring HTML from the terminal.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pup-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/ericchiang/pup/tags .*/v?(\d\S*)\.tar\.gz debian
